package com.muyu.etl.domain;

import com.muyu.etl.enums.DataType;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DataValue {
    /**
     * 字段名
     */
    private String key;
    /**
     * 字段类型
     */
    private DataType type;
    /**
     * 描述
     */
    private String label;
    /**
     * 值
     */
    private Object value;
}
